Debian Bug report logs - #599944
3.5 Dependencies / 7.2 Binary Dependencies - missing cross-reference to Pre-Depends policy.

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Mattias Ellert <mattias.ellert@fysast.uu.se>

Date: Tue, 12 Oct 2010 16:42:05 UTC

Severity: wishlist

Found in version debian-policy/3.9.1.0

Fixed in version debian-policy/3.9.2.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#599944; Package debian-policy. (Tue, 12 Oct 2010 16:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 12 Oct 2010 16:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: 3.5 Dependencies / 7.2 Binary Dependencies - missing cross-reference to Pre-Depends policy.
Date: Tue, 12 Oct 2010 18:41:48 +0200
[Message part 1 (text/plain, inline)]
Package: debian-policy
Version: 3.9.1.0
Severity: normal

The policy for when it is allowed to declare a Pre-Depends is currently
split between two different sections in the policy:

Section 3.5 says:

"You should not specify a Pre-Depends entry for a package before this
has been discussed on the debian-devel mailing list and a consensus
about doing that has been reached."

Section 7.2 says:

"Pre-Depends should be used sparingly, preferably only by packages whose
premature upgrade or installation would hamper the ability of the system
to continue with any upgrade that might be in progress.

Pre-Depends are also required if the preinst script depends on the named
package. It is best to avoid this situation if possible."

While there is a reference in section 3.5 to chapter 7 (and hence
indirectly to section 7.2):

"The format of the package interrelationship control fields is described
in Declaring relationships between packages, Chapter 7."

..., there is no reference in section 7.2 going in the other direction.

This means that if you look for the policy about Pre-Depends in section
7.2 (which I find the most likely place) there is no mentioning of the
requirement to establish consensus about Pre-Depends on debian-devel, so
this requirement is currently easily overlooked.

I therefore suggest that the paragraph about Pre-Depends in section 7.2
is amended with a cross-reference to the rule in section 3.5 about the
requirement about establishing a consensus on debian-devel.

	Mattias


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#599944; Package debian-policy. (Wed, 02 Mar 2011 00:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 02 Mar 2011 00:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 599944@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>
Cc: 599944@bugs.debian.org
Subject: [PATCH] Add a reminder of Pre-Depends policy to §7.2 "Binary Dependencies"
Date: Tue, 1 Mar 2011 17:58:48 -0600
Section 3.5 says:

 You should not specify a Pre-Depends entry for a package before this
 has been discussed on the debian-devel mailing list and a consensus
 about doing that has been reached.

Add a reminder of this to section 7.2, where the semantics of
Pre-Depends are discussed in more detail.

Requested-by: Mattias Ellert <mattias.ellert@fysast.uu.se>
Fixes: http://bugs.debian.org/599944
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
---
Mattias Ellert wrote:

> I therefore suggest that the paragraph about Pre-Depends in section 7.2
> is amended with a cross-reference to the rule in section 3.5 about the
> requirement about establishing a consensus on debian-devel.

Something like this?  Please feel free to improve on it.

 policy.sgml |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/policy.sgml b/policy.sgml
index 6e04c81..1684f78 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -1090,7 +1090,7 @@
 
       </sect>
 
-      <sect>
+      <sect id="dependencies">
 	<heading>Dependencies</heading>
 
 	<p>
@@ -4774,6 +4774,13 @@ Build-Depends: foo [linux-any], bar [any-i386], baz [!linux-any]
 		package.  It is best to avoid this situation if
 		possible.
 	      </p>
+
+	      <p>
+		You should not specify a <tt>Pre-Depends</tt> entry for a
+		package before this has been discussed on the
+		<tt>debian-devel</tt> mailing list and a consensus about
+		doing that has been reached.
+		See <ref id="dependencies">.
 	    </item>
 	  </taglist>
 	</p>
-- 
1.7.4.1





Severity set to 'wishlist' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 Mar 2011 00:09:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 Mar 2011 00:09:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'debian-policy: please clarify section 4.9 "build-arch (optional), build-indep (optional)"' from '3.5 Dependencies / 7.2 Binary Dependencies - missing cross-reference to Pre-Depends policy.' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 Mar 2011 00:57:09 GMT) Full text and rfc822 format available.

Changed Bug title to '3.5 Dependencies / 7.2 Binary Dependencies - missing cross-reference to Pre-Depends policy.' from 'debian-policy: please clarify section 4.9 "build-arch (optional), build-indep (optional)"' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 Mar 2011 01:09:03 GMT) Full text and rfc822 format available.

Added tag(s) pending; removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 03:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#599944; Package debian-policy. (Mon, 04 Apr 2011 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 04 Apr 2011 03:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 599944@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 599944@bugs.debian.org, Mattias Ellert <mattias.ellert@fysast.uu.se>
Subject: Re: Bug#599944: [PATCH] Add a reminder of Pre-Depends policy to §7.2 "Binary Dependencies"
Date: Sun, 03 Apr 2011 20:40:08 -0700
Jonathan Nieder <jrnieder@gmail.com> writes:

> Section 3.5 says:

>  You should not specify a Pre-Depends entry for a package before this
>  has been discussed on the debian-devel mailing list and a consensus
>  about doing that has been reached.

> Add a reminder of this to section 7.2, where the semantics of
> Pre-Depends are discussed in more detail.

Thanks, applied.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 07 Apr 2011 06:18:37 GMT) Full text and rfc822 format available.

Notification sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Bug acknowledged by developer. (Thu, 07 Apr 2011 06:18:51 GMT) Full text and rfc822 format available.

Message #30 received at 599944-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 599944-close@bugs.debian.org
Subject: Bug#599944: fixed in debian-policy 3.9.2.0
Date: Thu, 07 Apr 2011 06:02:15 +0000
Source: debian-policy
Source-Version: 3.9.2.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.2.0.dsc
  to main/d/debian-policy/debian-policy_3.9.2.0.dsc
debian-policy_3.9.2.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.2.0.tar.gz
debian-policy_3.9.2.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.2.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599944@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 06 Apr 2011 22:48:55 -0700
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.2.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 459868 488214 501930 504880 536790 581011 588014 590696 591857 593909 594274 594542 594656 594658 597074 599944 606869 609160 619186
Changes: 
 debian-policy (3.9.2.0) unstable; urgency=low
 .
   * Policy: Require human Maintainer or Uploader, clarify Maintainer
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #459868, #581011
   * Policy: Add an FHS exception on GNU/Hurd for /hurd and /servers
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #594658
   * Policy: Document DM-Upload-Allowed
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #588014
   * Policy: Update multiarch FHS exception for i386 naming
     Wording: Steve Langasek <vorlon@debian.org>
     Seconded: Aurelien Jarno <aurelien@aurel32.net>
     Seconded: Raphael Hertzog <hertzog@debian.org>
     Closes: #619186
   * Policy: Significant additions to maintainer script documentation
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #504880
   * Policy: Clarify format of Debian control fields
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Closes: #501930, #593909
   * Virtual: Added mailx as a new virtual package
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Closes: #488214
   * Be more verbose in defining the build architecture and the host
     architecture and consistently refer to architecture rather than
     machine.  (Closes: #591857)
   * Correct the name of the Filesystem Hierarchy Standard in the package
     description.  Patch from Christoph Anton Mitterer.  (Closes: #590696)
   * Use the word "implemented" to describe required targets in
     debian/rules, which is clearer about allowing wildcard rules.  List
     the required rules in their own paragraph rather than with the
     paragraph discussing non-interactivity, and explicitly mark all rules
     as either required or optional.  (Closes: #536790)
   * Update the ldconfig footnote listing the /etc/ld.so.conf directories
     to remove the libc5 compatibility directories and mention the
     multiarch triplet directories.  Based on a patch by Charles Plessy.
     (Closes: #597074)
   * Add introductory paragraphs for each archive area explaining briefly
     the purpose of that archive area.  Based on a proposal by CJ
     Fearnley.  (Closes: #594542)
   * Change all non-historical references to Debian GNU/Linux to simply
     Debian since Debian now includes FreeBSD-based architectures.  Patch
     from Guillem Jover.  (Closes: #594656)
   * Remove references to the obsolete debmake package.
   * Update the list of Policy maintainers.
   * Wrap Uploaders in debian/control.
   * Move Build-Depends-Indep to Build-Depends (there's no reason to use
     -Indep in a package that builds only architecture-independent binary
     packages), wrap it, and remove version restrictions that are older
     than the version in oldstable.
   * Add emacs23 to the build dependencies and remove the files generated
     from org source from the revision control repository.  Build and clean
     files from org source unconditionally.  Add Process.{txt,html} to the
     list of files generated from org source.  (Closes: #594274)
   * Fix URLs under www.freedesktop.org to avoid permanent redirects.
     Thanks, David Prévot.  (Closes: #606869)
   * Add a cross-reference to the Pre-Depends requirement in 3.5 to section
     7.2 where Pre-Depends is defined.  Thanks, Mattias Ellert and Jonathan
     Nieder.  (Closes: #599944)
   * Include the new (optional) copyright format that was drafted as DEP-5.
     This is not yet a final version; that's expected to come in the
     3.9.3.0 release.  Thanks to all the DEP-5 contributors and to Lars
     Wirzenius and Charles Plessy for the integration into the Policy
     package.  (Closes: #609160)
Checksums-Sha1: 
 3fbe1185dd3abd9f553cefbc2e8b353864bdd99b 1471 debian-policy_3.9.2.0.dsc
 f8b59ed7adcaec2dd78b77010eba9f9934e13012 693834 debian-policy_3.9.2.0.tar.gz
 3854a70a825272ff6a1e1473eb90369f5c1c6c68 1907938 debian-policy_3.9.2.0_all.deb
Checksums-Sha256: 
 231893c0f9dd4d8bd20aa5d53e871423c15ce0eb48ebc53652316a0e7eca8f89 1471 debian-policy_3.9.2.0.dsc
 8be1c13c6b05b167b356f505cab74f3e6a84be096215e64ad741d672b6f943a6 693834 debian-policy_3.9.2.0.tar.gz
 1a587553e9fc5ad93f3ddf8d752131efc737dff7810a6c170fe67cbb8a642eb5 1907938 debian-policy_3.9.2.0_all.deb
Files: 
 cad30289440ae005513484e7af83039f 1471 doc optional debian-policy_3.9.2.0.dsc
 b90105f64bcaedd3b1c182689ac9c6c8 693834 doc optional debian-policy_3.9.2.0.tar.gz
 73bef9fc65be0091233daa701e494104 1907938 doc optional debian-policy_3.9.2.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJNnVKxAAoJEH2AMVxXNt51S1kH/19xBm48ZzXnn2tSEHaCWKIz
sh86ppJArmwvxUu0BzwlSg2jr01M3pyynwVzgevGAQ9QlK2bD1MODlq5zQ23JLk8
ZHthYq/f15BkWuwMPVfnWeUtLVe4Xo6LL/LJGMjYiWTGxyv8OtctDVYz0olksmjr
gNp4rTUIzRfL8ucN3ypq0Xct7K2QilXQFdtEpHSRdsSPLC42cQgH/0wqo1PzMT7w
micFsqgGT5ZDUq+y4eNE6AzAZynVJgUAgnG0BMANucFJ8pVnVPmUB8rAEaURPGib
rjwuIHftPliJyI0hoBzWV1AU9t/I7IPekCJx+eqhVnUMF+sQexwHssEWmAZbtwY=
=o5f6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 May 2011 07:35:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:55:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.